Package net.shibboleth.idp.attribute.resolver.dc

# Interface Validator

All Known Implementing Classes:
  `ConnectionFactoryValidator`, `DataSourceValidator`, `SAMLDataConnector.NullValidator`, `ScriptedDataConnector.NullValidator`

public interface Validator
Used to determine whether a Data Connector initialized properly and continues to be fit for use.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isThrowValidateError()`
Returns whether `validate(DataConnector)` should throw or log errors.
`void`
`setThrowValidateError(boolean what)`
Sets whether `validate(DataConnector)` should throw or log errors.
`void`
`validate(DataConnector dataConnector)`
Probe the data connector and conditionally fails if it is not valid and ready for use.

## Method Details

### validate

void validate(@Nonnull DataConnector dataConnector) throws ValidationException
Probe the data connector and conditionally fails if it is not valid and ready for use.

Parameters:
  `dataConnector` - data connector to validate
Throws:
  `ValidationException` - thrown if validation fails and `isThrowValidateError()` is true

### setThrowValidateError

void setThrowValidateError(boolean what)
Sets whether `validate(DataConnector)` should throw or log errors.

Parameters:
  `what` - whether `validate(DataConnector)` should throw or log errors

### isThrowValidateError

boolean isThrowValidateError()
Returns whether `validate(DataConnector)` should throw or log errors.

Returns:
  whether `validate(DataConnector)` should throw or log errors